BeaconTuple (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.tuple

## Class BeaconTuple

- java.lang.Object
- - com.ibm.streamsx.topology.tuple.BeaconTuple

- All Implemented Interfaces:
    JSONAble, Keyable<java.lang.Long>, java.io.Serializable, java.lang.Comparable<BeaconTuple>

      public class BeaconTuple
      extends java.lang.Object
      implements java.io.Serializable, Keyable<java.lang.Long>, java.lang.Comparable<BeaconTuple>, JSONAble

  Tuple type issued by a beacon stream.
  See Also:
    `BeaconStreams`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeaconTuple(long sequence, long time)` Create a BeaconTuple.
    `BeaconTuple(long sequence)` Create a BeaconTuple with the current time.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(BeaconTuple o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getKey()` Get the key (sequence identifier) of this tuple.
    `long` | `getSequence()` Get the sequence identifier of this tuple.
    `long` | `getTime()` Get the time of this tuple.
    `int` | `hashCode()`
    `com.ibm.json.java.JSONObject` | `toJSON()` Creates a JSON object with two attributes: `sequence` Value of `getSequence()` `time` Value of `getTime()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeaconTuple

          public BeaconTuple(long sequence)

      Create a BeaconTuple with the current time.
      Parameters:
        `sequence` - Sequence of the tuple

    - #### BeaconTuple

          public BeaconTuple(long sequence,
                             long time)

      Create a BeaconTuple.
      Parameters:
        `sequence` - Sequence of the tuple
        `time` - time of the tuple

  - ### Method Detail

    - #### getSequence

          public long getSequence()

      Get the sequence identifier of this tuple.
      Returns:
        sequence identifier of this tuple

    - #### getKey

          public java.lang.Long getKey()

      Get the key (sequence identifier) of this tuple.
      Specified by:
        `getKey` in interface `Keyable<java.lang.Long>`
      Returns:
        sequence identifier of this tuple
      See Also:
        `getSequence()`

    - #### getTime

          public long getTime()

      Get the time of this tuple.
      Returns:
        time of this tuple

    - #### toJSON

          public com.ibm.json.java.JSONObject toJSON()

      Creates a JSON object with two attributes:
      - `sequence` Value of `getSequence()`
      - `time` Value of `getTime()`
      Specified by:
        `toJSON` in interface `JSONAble`
      Returns:
        JSON representation of this tuple.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(BeaconTuple o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BeaconTuple>`